org.codehaus.plexus.interpolation.fixed

## Class AbstractDelegatingValueSource

- java.lang.Object
- - org.codehaus.plexus.interpolation.fixed.AbstractDelegatingValueSource

All Implemented Interfaces:
  FixedValueSource

Direct Known Subclasses:
  PrefixedObjectValueSource, PrefixedPropertiesValueSource

    public abstract class AbstractDelegatingValueSource
    extends Object
    implements FixedValueSource

### Constructor Summary

Constructors
`protected` `AbstractDelegatingValueSource(FixedValueSource delegate)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected FixedValueSource` `getDelegate()`
`Object` `getValue(String expression, InterpolationState interpolationState)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractDelegatingValueSource

    protected AbstractDelegatingValueSource(FixedValueSource delegate)

### Method Detail

#### getDelegate

    protected FixedValueSource getDelegate()

#### getValue

    public Object getValue(String expression,
                           InterpolationState interpolationState)

Specified by:
  `getValue` in interface `FixedValueSource`
Returns:
  the value related to the expression, or null if not found (not available from this source)